org.aspectj.lang.reflect

## Interface InterTypeMethodDeclaration

All Superinterfaces:
  InterTypeDeclaration

All Known Implementing Classes:
  InterTypeMethodDeclarationImpl

    public interface InterTypeMethodDeclaration
    extends InterTypeDeclaration

Represents an inter-type method declaration member within an aspect.

### Method Summary

All Methods Instance Methods Abstract Methods
`AjType<?>[]` `getExceptionTypes()`
`Type[]` `getGenericParameterTypes()`
`Type` `getGenericReturnType()`
`String` `getName()`
`AjType<?>[]` `getParameterTypes()`
`AjType<?>` `getReturnType()`
`TypeVariable<Method>[]` `getTypeParameters()`

### Methods inherited from interface org.aspectj.lang.reflect.InterTypeDeclaration

`getDeclaringType, getModifiers, getTargetType`

### Method Detail

#### getName

    String getName()

Returns:
  the name of this method

#### getReturnType

    AjType<?> getReturnType()

Returns:
  the method return type

#### getGenericReturnType

    Type getGenericReturnType()

Returns:
  the generic return type

#### getParameterTypes

    AjType<?>[] getParameterTypes()

Returns:
  the method parameters

#### getGenericParameterTypes

    Type[] getGenericParameterTypes()

Returns:
  the generic method parameters

#### getTypeParameters

    TypeVariable<Method>[] getTypeParameters()

Returns:
  the type variables declared by this method

#### getExceptionTypes

    AjType<?>[] getExceptionTypes()

Returns:
  the declared exceptions thrown by this method